.about {
   padding-top: 50px;
   padding-bottom: 50px;
}
.about__block {
   display: flex;
}
.about__h2 {
   margin-bottom: 20px;
}
.about__figure {
   width: 50%;
   max-height: 600px;
   overflow: hidden;
   margin: 0;
}
.about__block:nth-of-type(even) .about__figure {
   order: 2;
}
.about__img {
   display: block;
   width: 100%;
}
.about__text-block {
   width: 50%;
   padding: 20px;
   padding-right: 0;
}
.about__block:nth-of-type(even) .about__text-block {
   order: 1;
   padding-left: 0;
   padding-right: 20px;
}
@media (max-width: 700px) {
   .about {
      padding-top: 30px;
      padding-bottom: 30px;
   }
   .about__block {
      flex-wrap: wrap;
   }
   .about__figure {
      width: 100%;
      max-height: auto;
      margin: 0;
   }
   .about__block:nth-of-type(even) .about__figure {
      order: 1;
   }
   .about__text-block {
      width: 100%;
      padding: 20px 0 30px 0 !important;
   }
   .about__block:nth-of-type(even) .about__text-block {
      order: 2;
   }
}